#! /bin/zsh

# SPDX-FileCopyrightText: 2023 Tobias Schmidl
#
# SPDX-License-Identifier: GPL-3.0-or-later

# shellcheck disable=all

alias exa='exa -FHhg@ --git --binary --time-style long-iso'
alias exal='exa -l'
function exat() {
    [[ "$1" != <-> ]] && { echo "Usage: exat <depth> [path]"; exit 1 };
    depth="$1";
    shift;
    exal -T -L $depth $@;
}

alias e='exa -l'
alias ea='exa -la'
alias eg='exa -Gl'
alias et='exat'
